Issue 8776

Summary: Opening MSWord 97 document: text clipped
Product: Writer Reporter: Unknown <non-migrated>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues, jbf.faure, oooqa
Version: OOo 1.0.1Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Windows 2000   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
How the doc looks opened in MSWord97 (OOo drawing file)
none
How the doc looks opened in OOo - page1 (OOo drawing file)
none
How the doc looks opened in OOo - page 2 (OOo drawing file)
none
The MSWord97 document that gets text clipped. none

Description Unknown 2002-10-28 18:21:09 UTC
A MSWord97 doc opened in OOo has some text clipped.  See lines "Please,
complete..." and "List Expenses..." the attached file (drawing file that shows
how the doc looks in MSW97 and OOo).  It's on the page 2.  Page 1 attached only
for sake of completeness.  

I've also attached the MSW97 doc.

Stan
Comment 1 Unknown 2002-10-28 18:23:17 UTC
Created attachment 3398 [details]
How the doc looks opened in MSWord97 (OOo drawing file)
Comment 2 Unknown 2002-10-28 18:24:09 UTC
Created attachment 3399 [details]
How the doc looks opened in OOo - page1 (OOo drawing file)
Comment 3 Unknown 2002-10-28 18:24:48 UTC
Created attachment 3400 [details]
How the doc looks opened in OOo - page 2 (OOo drawing file)
Comment 4 Unknown 2002-10-28 18:25:46 UTC
Created attachment 3401 [details]
The MSWord97 document that gets text clipped.
Comment 5 prgmgr 2002-10-29 02:37:57 UTC
*** Issue 8775 has been marked as a duplicate of this issue. ***
Comment 6 prgmgr 2002-10-29 03:13:14 UTC
Duplicated on Win NT 4.0 SP6a, OOo 643.

In OOo, on the second page, the first and second lines appear
clipped.

That's because the formatting on those 2 lines of text is 
complicated.

   A)  The font was set as Arial 14 pt.

   B)  Then line spacing was set at "Exactly 12pt".  This causes 
       clipping in Word 2000.

   C)  Superscript was applied to the text.  That makes "clipping"
       in Word 2000 worse.

   D)  Then the position of the text was forced "Lower by 3pts".
 
I doubt bolding and italics have anything to do with this problem.

Note, this document has margins that are outside the valid print area.
Comment 7 Joost Andrae 2002-12-01 12:50:51 UTC
JA->MRU: please evaluate...reassigned to you
Comment 8 michael.ruess 2002-12-04 14:51:49 UTC
MRU->AMA: There are some wild things in formatting, such as
super-/subscript characters, different line spacings of less than 0,5 cm
But: it only seems wrong on the display; the printout looks good...
Comment 9 andreas.martens 2003-01-20 20:58:40 UTC
AMA->FME: Please have a look, what's going wrong.
Comment 10 andreas.martens 2003-01-20 21:01:47 UTC
AMA->FME: Please have a look, what's going wrong.
Comment 11 frank.meies 2003-01-29 08:56:32 UTC
FME: This is the reason: The paragraph is set to a fixed line spacing
(0,42 cm). On the other hand the characters have the "superscript"
character attribute, therefore the line height is greater than 0,42 cm
and the characters get clipped from above. MS Word does also a
clipping in this case, but they clip the lower part of the line (you
can verify this by changing the "superscript" characters in the doc
file to "subscript"). I think that clipping the upper part of a line
does make more sense, because the baseline of the characters is in the
lower part of the line. I'll change priority and target. 
Comment 12 frank.meies 2003-09-10 11:21:20 UTC
.
Comment 13 stefan.baltzer 2003-10-13 10:57:35 UTC
SBA: According to the OpenOffice.org roadmap 
(see http://tools.openoffice.org/releases) this issue was retargeted to 
"OOo Later".
Comment 14 ace_dent 2008-05-16 02:42:15 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html